Log in
curl --request POST \
--url https://api.next.orenda.finance/v1/auth/login \
--header 'Content-Type: application/json' \
--header 'x-program-id: <x-program-id>' \
--data '
{
"email": "ada.lovelace@example.com",
"password": "S3cur3-P@ssw0rd!"
}
'import requests
url = "https://api.next.orenda.finance/v1/auth/login"
payload = {
"email": "ada.lovelace@example.com",
"password": "S3cur3-P@ssw0rd!"
}
headers = {
"x-program-id": "<x-program-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-program-id': '<x-program-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'ada.lovelace@example.com', password: 'S3cur3-P@ssw0rd!'})
};
fetch('https://api.next.orenda.finance/v1/auth/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"authenticated": false,
"challenge": "SOFTWARE_TOKEN_MFA",
"session_token": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b"
}
}Password sign-in
Log in
Starts a login. The response is always a challenge, never tokens — even when the password is correct you get the next step to complete (a 2FA code, email verification, or a forced password change). Complete that step to receive tokens. See the challenge list below.
POST
/
v1
/
auth
/
login
Log in
Headers
Identifies the program. Can also be sent as the programId query parameter.
⌘I